libgnustep-xcode-devel-0.1-alt8.git20130921.i586.rpm


Advertisement

Description

libgnustep-xcode-devel - Development files of XCLib framework

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libgnustep-xcode-devel-0.1-alt8.git20130921.i586.rpm
Package name libgnustep-xcode-devel
Package version 0.1
Package release alt8.git20130921
Package architecture i586
Package type rpm
Category Development/Objective-C
Homepage -
License -
Maintainer -
Download size 17.11 KB
Installed size 17.11 KB
The XCLib framework is used to parse and process xcodeproj files so that
they can be built by a tool or an IDE using this framework.
This package contains development files of XCLib framework.

Alternatives

Package Version Architecture Repository
libgnustep-xcode-devel-0.1-alt8.git20130921.x86_64.rpm 0.1 x86_64 Classic
libgnustep-xcode-devel - - -

Requires

Name Value
gnustep-base-devel -
gnustep-xcode = 0.1-alt8.git20130921
libgnustep-xcode = 0.1-alt8.git20130921
rpmlib(PayloadIsLzma) -

Provides

Name Value
gnustep-xcode-devel = 0.1-alt8.git20130921
libgnustep-xcode-devel = 0.1-alt8.git20130921

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libgnustep-xcode-devel-0.1-alt8.git20130921.i586.rpm
Source Package gnustep-xcode-0.1-alt8.git20130921.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libgnustep-xcode-devel rpm package:
    # sudo apt-get install libgnustep-xcode-devel

Files

Path
/usr/include/XCode
/usr/lib/libXCode.so
/usr/lib/GNUstep/Frameworks/XCode.framework/Headers
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/GSXCBuildContext.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/GSXCCommon.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/NSArray+Additions.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/NSString+PBXAdditions.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXAbstractBuildPhase.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXAbstractTarget.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXAggregateTarget.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXApplicationTarget.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXBuildFile.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXBuildRule.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXBundleTarget.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXCoder.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXCommon.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXContainer.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXContainerItemProxy.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXCopyFilesBuildPhase.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXFileReference.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXFrameworkTarget.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXFrameworksBuildPhase.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXGroup.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXHeadersBuildPhase.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXNativeTarget.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXProject.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXReferenceProxy.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXResourcesBuildPhase.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXRezBuildPhase.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXShellScriptBuildPhase.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXSourcesBuildPhase.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXTargetDependency.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/PBXVariantGroup.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/XCBuildConfiguration.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/XCConfigurationList.h
/usr/lib/GNUstep/Frameworks/XCode.framework/Versions/0/Headers/XCVersionGroup.h

Changelog

2014-02-15 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt8.git20130921
- Built with clang
2014-01-30 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt7.git20130921
- Added Requires: gnustep-back
2014-01-25 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt6.git20130921
- Rebuilt for debuginfo
2014-01-20 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt5.git20130921
- New snapshot
2013-10-02 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt5.git20130831
- New snapshot
2012-12-31 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt5.git20121015
- Rebuilt with libobjc2 instead of libobjc
2012-12-13 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt4.svn20121015
- Added synonym: libgnustep-xcode-devel -> gnustep-xcode-devel
2012-12-12 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt3.svn20121015
- Rebuilt with fixed gnustep-make
2012-12-11 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt2.svn20121015
- Built with /proc support
2012-12-11 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1-alt1.svn20121015
- Initial build for Sisyphus

See Also

Package Description
libgnutls-devel-3.6.10-alt1.i586.rpm Development files for libgnutls30
libgnutls-guile-3.6.10-alt1.i586.rpm GnuTLS Guile bindings
libgnutls-openssl-devel-3.6.10-alt1.i586.rpm Development files for libgnutls27-openssl
libgnutls27-openssl-3.6.10-alt1.i586.rpm OpenSSL compatibility layer for the GnuTLS library
libgnutls30-3.6.10-alt1.i586.rpm Transport Layer Security library
libgnutlsxx-devel-3.6.10-alt1.i586.rpm Development files for libgnutlsxx
libgnutlsxx28-3.6.10-alt1.i586.rpm Transport Layer Security C++ library
libgo0-4.7.2-alt13.i586.rpm Go runtime libraries
libgo11-7.3.1-alt9.i586.rpm Go runtime libraries
libgo13-8.3.1-alt6.i586.rpm Go runtime libraries
libgo4.7-devel-4.7.2-alt13.i586.rpm Header files and libraries for Go development
libgo4.7-devel-static-4.7.2-alt13.i586.rpm Static libraries for Go development
libgo7-devel-7.3.1-alt9.i586.rpm Header files and libraries for Go development
libgo7-devel-static-7.3.1-alt9.i586.rpm Static libraries for Go development
libgo8-devel-8.3.1-alt6.i586.rpm Header files and libraries for Go development
Advertisement
Advertisement